ONVIF::PTZ::Types::FocusStatus20(3)

NAME
ONVIF::PTZ::Types::FocusStatus20

DESCRIPTION
Perl data type class for the XML Schema defined complexType FocusStatus20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Position

•   MoveStatus

•   Error

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::FocusStatus20
   Position =>  $some_value, # float
   MoveStatus => $some_value, # MoveStatus
   Error =>  $some_value, # string
   Extension =>  { # ONVIF::PTZ::Types::FocusStatus20Extension
   },
 },

AUTHOR
Generated by SOAP::WSDL